Page MenuHomePhabricator

Popups: Update babel-preset-env and friends
Closed, ResolvedPublic2 Story Points

Description

Keeping up to date with external software dependencies is important to keep code healthy.

babel-present-env has been archived and moved into babel core. Update it and related dependencies to the latest with best practices in MediaWiki's Page-Previews extension.

$:user\> grep -r "babel-preset-env" .
./package.json:    "babel-preset-env": "1.6.0",
./package-lock.json:    "babel-preset-env": {
./package-lock.json:      "resolved": "https://registry.npmjs.org/babel-preset-env/-/babel-preset-env-1.6.0.tgz",

Details

Related Gerrit Patches:
mediawiki/extensions/Popups : masterSwitch from babel-preset-env to @babel/preset-env

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2018, 3:59 PM
Jdlrobson set the point value for this task to 2.Jun 26 2018, 4:45 PM
Jdlrobson added a subscriber: Jdlrobson.

This requires removing packages as well as updating.

Vvjjkkii renamed this task from Update babel-preset-env and friends to kiaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii removed the point value for this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from kiaaaaaaaa to Update babel-preset-env and friends.Jul 2 2018, 11:21 AM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot set the point value for this task to 2.
CommunityTechBot added a subscriber: Aklapper.
ovasileva moved this task from Backlog to Next Up on the Page-Previews board.Jul 25 2018, 8:22 AM
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptSep 19 2018, 11:51 PM
Niedzielski renamed this task from Update babel-preset-env and friends to Upgrade Popups dependencies.Nov 12 2018, 9:10 PM
Niedzielski updated the task description. (Show Details)
Jdlrobson renamed this task from Upgrade Popups dependencies to Update babel-preset-env and friends.Nov 12 2018, 9:12 PM
Jdlrobson updated the task description. (Show Details)

@Niedzielski this is currently an active google code in task so I've reverted back to old title/description to avoid confusion there.
I've created T209314 to capture the new concerns and made this a subtask. Trust that's okay with you.

Jdlrobson renamed this task from Update babel-preset-env and friends to Popups: Update babel-preset-env and friends.Nov 15 2018, 6:44 PM
Jdlrobson raised the priority of this task from Medium to High.
Jdlrobson moved this task from Triaged but Future to Upcoming on the Readers-Web-Backlog board.
Shreyasminocha removed Shreyasminocha as the assignee of this task.Dec 4 2018, 9:27 AM
Shreyasminocha added a subscriber: Shreyasminocha.

Will re-claim once I complete my current GCI task (unless someone beats me to it of course).

Change 478392 had a related patch set uploaded (by Shreyasminocha; owner: Shreyasminocha):
[mediawiki/extensions/Popups@master] Switch from babel-preset-env to @babel/preset-env

https://gerrit.wikimedia.org/r/478392

Change 478392 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Switch from babel-preset-env to @babel/preset-env

https://gerrit.wikimedia.org/r/478392

Niedzielski removed Shreyasminocha as the assignee of this task.Dec 11 2018, 4:21 PM

Thank you for your work, @Shreyasminocha! Your patches have been merged \o/

I've unassigned this task so that it can go through standard QA process.

nray claimed this task.Dec 11 2018, 6:27 PM
phuedx added a subscriber: phuedx.Dec 12 2018, 6:41 PM

@nray: As discussed, here's the list of all Page Previews test cases that @ovasileva and @ABorbaWMF created. As you can see, it's long. I would suggest that you use your discretion about how many cases you run through (e.g. we have browser tests covering previews appearing/disappearing when you interact with a link).

Unfortunately, both the staging server and the Beta Cluster no longer have the Page Previews testing pages present. I'll try and dig out the corpus and re-import it to both of those servers.

Unfortunately, both the staging server and the Beta Cluster no longer have the Page Previews testing pages present. I'll try and dig out the corpus and re-import it to both of those servers.

The corpus I created is here (tests/manual/corpus.xml): https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Popups/+/315061/

Jdlrobson closed this task as Resolved.Dec 12 2018, 10:34 PM
Jdlrobson claimed this task.

Good work all!